Arch: Tetto

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Roof and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎português do Brasil • ‎română • ‎русский • ‎svenska • ‎українська
Arrow-left.svg Arch Grid.svg Griglia Pagina precedente:
Pagina successiva: Spazio Arch Space.svg Arrow-right.svg

Arch Roof.svg Tetto

Posizione nel menu
Arch → Tetto
Ambiente
Architettura
Avvio veloce
R F
Introdotto nella versione
-
Vedere anche
Struttura, Parete


Descrizione

Lo strumento Tetto consente di creare un tetto inclinato selezionando un contorno. L'oggetto Tetto creato in questo modo è parametrico e mantiene le sue relazioni con l'oggetto base. Si basa sul principio che ad ogni bordo viene assegnata una falda del tetto (con le caratteristiche di pendenza, larghezza coperta, sbalzo, spessore).

Questo strumento è ancora in sviluppo e potrebbe non funzionare correttamente con le forme molto complesse.

RoofExample.png

Vista dall'alto di un modello di edificio che mostra il tetto in trasparenza


Utilizzo

  1. Creare un contorno seguendo il senso antiorario e selezionarlo.
    • CounterclockwiseWire.png
  2. Premere il pulsante Arch Roof.svg Tetto, o premere i tasti R e poi F
  3. Se l'oggetto tetto predefinito ha una forma strana è perché lo strumento non possiede tutte le informazioni necessarie.
  4. Dopo aver creato il tetto predefinito, fare doppio clic sull'oggetto nella vista ad albero per accedere alla modifica di tutte le sue proprietà. Angolo deve essere compreso tra 0 e 90.
    • RoofTable.png
  5. Ogni riga corrisponde ad una falda del tetto. Quindi è possibile impostare le proprietà desiderate per ogni falda del tetto.
  6. Per aiutarvi, è possibile impostare Angolo oppure Run a 0 e definire un ID relativo, questo rende automatici i calcoli per trovare i dati relativi a IdRelativo.
  7. Funziona in questo modo:
    1. Se Angolo = 0 e Run = 0 allora il profilo è identico al profilo relativo.
    2. Se Angolo = 0 allora l'angolo viene calcolato in modo che l'altezza sia la stessa del profilo relativo.
    3. Se Run = 0 allora Run è calcolato in modo che l'altezza sia la stessa del profilo relativo.
  8. Alla fine, impostare un angolo di 90° per creare un frontone, una parete di tamponamento.
    • RoofProfil.png
  9. Inoltre è possibile guardare questo video : https://www.youtube.com/watch?v=4Urwru71dVk

Opzioni

  • Gli elementi Tetto condividono le proprietà e i comportamenti comuni di tutti i Componenti Arch

Proprietà

  • DATIAngles: Angolo di pendenza di ogni falda (un angolo per ciascun lato del contorno di base).
  • DATIRuns: Proiezione orizzontale della lunghezza della falda (un Run per ciascun lato del contorno di base).
  • DATIIdRel: Relazioni Id The slope angle of the roof
  • DATIThickness: Spessore della falda (uno spessore per ciascun lato del contorno di base).
  • DATIOverhang: Sbalzo della falda, in proiezione orizzontale (uno sbalzo per ciascun lato del contorno di base).
  • DATIFace: L'indice della faccia dell'oggetto di base da utilizzare #Non ancora usato

Script

Vedere anche: Arch API e Nozioni di base sugli script di FreeCAD.

Lo strumento Tetto può essere utilizzato nelle macro e dalla console Python utilizzando la seguente funzione:

Roof = makeRoof(baseobj=None, facenr=0, angles=[45.,], run=[], idrel=[0,], thickness=[50.,], overhang=[100.,], name="Roof")
  • Crea un oggetto Roof dal baseobj dato, che può essere un contorno chiuso o un oggetto solido.
    • Se baseobj è un contorno, è possibile fornire elenchi per angles, run, idrel, thickness, e overhang, per ciascun bordo del contorno per definire la forma del tetto.
    • Gli elenchi vengono completati automaticamente per corrispondere al numero di spigoli del contorno.

Esempio:

import FreeCAD, Arch, Draft

Rect = Draft.makeRectangle(3000, 4000)
Roof = Arch.makeRoof(Rect, angles=[30.,])
FreeCAD.ActiveDocument.recompute()

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 1000, 0)
p3 = FreeCAD.Vector(0, 2000, 0)
Wire = Draft.makeWire([p1, p2, p3], closed=True)
Roof2 = Arch.makeRoof(Wire)
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Arch Grid.svg Griglia Pagina precedente:
Pagina successiva: Spazio Arch Space.svg Arrow-right.svg